unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, NSDetect, ShellAPI;

type
  TForm1 = class(TForm)
    DNS: TNSDetect;
    Button1: TButton;
    Button2: TButton;
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Panel1Click(Sender: TObject);
    procedure Panel2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Panel1Click(Sender: TObject);
begin
     ShellExecute(Handle,'open',
     'http://members.directvinternet.com/nazcaweaver/',
     '','',SW_SHOW);
end;

procedure TForm1.Panel2Click(Sender: TObject);
begin
     ShellExecute(Handle,'open',
     'mailto:nazcaweaver@directvinternet.com?Subject=TNSDetect Source Code'+
     '&Body=Hi, please send me the Source Code. Thanks...',
     '','',SW_SHOW);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     DNS.Items.Clear;
     DNS.Detect;     
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     DNS.Items.Clear;
     DNS.Text:= '';
     DNS.ItemIndex:= -1;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     Application.Title:= 'NazcaWeaver DNS Detect Demo';
end;

end.
